## org.eclipse.emf.spi.cdo
Interface InternalCDOSession

All Superinterfaces:
  CDOCommonSession, CDOIDObjectFactory, CDOSession, org.eclipse.net4j.util.collection.Closeable, org.eclipse.net4j.util.container.IContainer<CDOView>, org.eclipse.net4j.util.lifecycle.ILifecycle, org.eclipse.net4j.util.lifecycle.ILifecycle.Introspection, org.eclipse.net4j.util.event.INotifier, InternalCDOPackageRegistry.PackageLoader, InternalCDOPackageRegistry.PackageProcessor, org.eclipse.net4j.util.options.IOptionsContainer, org.eclipse.net4j.util.security.IUserAware

    public interface InternalCDOSession

extends CDOSession, CDOIDObjectFactory, InternalCDOPackageRegistry.PackageProcessor, InternalCDOPackageRegistry.PackageLoader, org.eclipse.net4j.util.lifecycle.ILifecycle.Introspection

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.session.CDOSession
`CDOSession.ExceptionHandler, CDOSession.Options, CDOSession.Repository`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer
`org.eclipse.net4j.util.container.IContainer.Modifiable<E>`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier
`org.eclipse.net4j.util.event.INotifier.Introspection`

Nested classes/interfaces inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle
`org.eclipse.net4j.util.lifecycle.ILifecycle.Introspection`

Method Summary
`CDOAuthenticator` `getAuthenticator()`
`InternalCDOPackageRegistry` `getPackageRegistry()` Returns the EMF `package registry` that is used by all `objects` of all `views` of this session.
`CDOSessionProtocol` `getSessionProtocol()`
`void` `handleCommitNotification(long timeStamp, java.util.Collection<CDOPackageUnit> newPackageUnits, java.util.Set<CDOIDAndVersion> dirtyOIDs, java.util.Collection<CDOID> detachedObjects, java.util.Collection<CDORevisionDelta> deltas, InternalCDOView excludedView)`
`void` `handleSyncResponse(long timestamp, java.util.Collection<CDOPackageUnit> newPackageUnits, java.util.Set<CDOIDAndVersion> dirtyOIDs, java.util.Collection<CDOID> detachedObjects)`
`void` `handleUpdateRevision(long timeStamp, java.util.Set<CDOIDAndVersion> dirtyOIDs, java.util.Collection<CDOID> detachedObjects)` In some cases we need to sync without propagating event.
`void` `setAuthenticator(CDOAuthenticator authenticator)`
`void` `setExceptionHandler(CDOSession.ExceptionHandler exceptionHandler)`
`void` `setPackageRegistry(InternalCDOPackageRegistry packageRegistry)`
`void` `setRepositoryName(java.lang.String repositoryName)`
`void` `setUserID(java.lang.String userID)`
`void` `viewDetached(InternalCDOView view)`

Methods inherited from interface org.eclipse.emf.cdo.session.CDOSession
`getExceptionHandler, getRemoteSessionManager, getRevisionManager, getViews, openAudit, openAudit, openTransaction, openTransaction, openView, openView, options, refresh, repository`

Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonSession
`getSessionID, getView`

Methods inherited from interface org.eclipse.net4j.util.security.IUserAware
`getUserID`

Methods inherited from interface org.eclipse.net4j.util.collection.Closeable
`close, isClosed`

Methods inherited from interface org.eclipse.net4j.util.container.IContainer
`getElements, isEmpty`

Methods inherited from interface org.eclipse.net4j.util.event.INotifier
`addListener, removeListener`

Methods inherited from interface org.eclipse.emf.cdo.common.id.CDOIDObjectFactory
`createCDOIDObject, createCDOIDObject`

Methods inherited from interface org.eclipse.emf.cdo.spi.common.model.InternalCDOPackageRegistry.PackageProcessor
`processPackage`

Methods inherited from interface org.eclipse.emf.cdo.spi.common.model.InternalCDOPackageRegistry.PackageLoader
`loadPackages`

Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle.Introspection
`getLifecycleState, isActive`

Methods inherited from interface org.eclipse.net4j.util.lifecycle.ILifecycle
`activate, deactivate`

Method Detail

### setExceptionHandler

    void setExceptionHandler(CDOSession.ExceptionHandler exceptionHandler)

### getSessionProtocol

    CDOSessionProtocol getSessionProtocol()

### getPackageRegistry

    InternalCDOPackageRegistry getPackageRegistry()

  Description copied from interface: `CDOSession`
  Returns the EMF `package registry` that is used by all `objects` of all `views` of this session.

  This registry is managed by the `package unit manager` of this session. All `packages` that are already persisted in the repository of this session are automatically registered with this registry. New packages can be locally registered with this registry and are committed to the repository through a `transaction`, if needed.

  Specified by:
    `getPackageRegistry` in interface `CDOSession`
  See Also:
    `#getPackageUnitManager()`

### setPackageRegistry

    void setPackageRegistry(InternalCDOPackageRegistry packageRegistry)

### setRepositoryName

    void setRepositoryName(java.lang.String repositoryName)

### getAuthenticator

    CDOAuthenticator getAuthenticator()

### setAuthenticator

    void setAuthenticator(CDOAuthenticator authenticator)

### setUserID

    void setUserID(java.lang.String userID)

### viewDetached

    void viewDetached(InternalCDOView view)

### handleCommitNotification

    void handleCommitNotification(long timeStamp,
                                  java.util.Collection<CDOPackageUnit> newPackageUnits,
                                  java.util.Set<CDOIDAndVersion> dirtyOIDs,
                                  java.util.Collection<CDOID> detachedObjects,
                                  java.util.Collection<CDORevisionDelta> deltas,
                                  InternalCDOView excludedView)

### handleSyncResponse

    void handleSyncResponse(long timestamp,
                            java.util.Collection<CDOPackageUnit> newPackageUnits,
                            java.util.Set<CDOIDAndVersion> dirtyOIDs,
                            java.util.Collection<CDOID> detachedObjects)

### handleUpdateRevision

    void handleUpdateRevision(long timeStamp,
                              java.util.Set<CDOIDAndVersion> dirtyOIDs,
                              java.util.Collection<CDOID> detachedObjects)

  In some cases we need to sync without propagating event. Lock is a good example.

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.